[bsdgames] 02/10: Add explanatory comments to maintainer scripts.

Tobias Quathamer toddy at moszumanska.debian.org
Tue Apr 5 09:18:57 UTC 2016


This is an automated email from the git hooks/post-receive script.

toddy pushed a commit to branch master
in repository bsdgames.

commit ae3c9d29862147849414d6dbee6900f16c40d0b0
Author: Ben Finney <ben+debian at benfinney.id.au>
Date:   Thu Feb 25 12:50:11 2016 +1100

    Add explanatory comments to maintainer scripts.
---
 debian/postinst | 14 ++++++++++++++
 debian/postrm   | 15 +++++++++++++++
 debian/preinst  | 11 +++++++++++
 debian/prerm    | 24 ++++++++++++++++++++++++
 4 files changed, 64 insertions(+)

diff --git a/debian/postinst b/debian/postinst
index 69cca83..5f69272 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -1,7 +1,21 @@
 #!/bin/sh
+# Post-install script for ‘bsdgames’ package.
+#
+# Man page: ‘dh_installdeb(1)’
 
 set -e
 
+# Summary of ways this script can be called:
+#   * <postinst> ‘configure’ <most-recently-configured-version>
+#   * <old-postinst> ‘abort-upgrade’ <new version>
+#   * <conflictor-postinst> ‘abort-remove’
+#     ‘in-favour’ <package> <new-version>
+#   * <deconfigured-postinst> ‘abort-deconfigure’
+#     ‘in-favour’ <failed-install-package> <version>
+#     ‘removing’ <conflicting-package> <version>
+# For details, see <URL:http://www.debian.org/doc/debian-policy/> or
+# the ‘debian-policy’ package.
+
 SCOREFILES="
 	/var/games/bsdgames/atc_score
 	/var/games/bsdgames/battlestar.log
diff --git a/debian/postrm b/debian/postrm
index a6e2110..22395c5 100644
--- a/debian/postrm
+++ b/debian/postrm
@@ -1,7 +1,22 @@
 #!/bin/sh
+# Post-remove script for ‘bsdgames’ package.
+#
+# Man page: ‘dh_installdeb(1)’
 
 set -e
 
+# Summary of ways this script can be called:
+#   * <postrm> ‘remove’
+#   * <postrm> ‘purge’
+#   * <old-postrm> ‘upgrade’ <new-version>
+#   * <disappearer's-postrm> ‘disappear’ <overwriter> <overwriter-version>
+#   * <new-postrm> ‘failed-upgrade’ <old-version>
+#   * <new-postrm> ‘abort-install’
+#   * <new-postrm> ‘abort-install’ <old-version>
+#   * <new-postrm> ‘abort-upgrade’ <old-version>
+# For details, see <URL:http://www.debian.org/doc/debian-policy/> or
+# the ‘debian-policy’ package.
+
 SCOREFILES="
 	/var/games/bsdgames/atc_score
 	/var/games/bsdgames/battlestar.log
diff --git a/debian/preinst b/debian/preinst
index 77e6605..295955d 100644
--- a/debian/preinst
+++ b/debian/preinst
@@ -1,7 +1,18 @@
 #!/bin/sh
+# Pre-install script for ‘python-coverage’.
+#
+# Man page: ‘dh_installdeb(1)’
 
 set -e
 
+# Summary of ways this script can be called:
+#   * <new-preinst> ‘install’
+#   * <new-preinst> ‘install’ <old-version>
+#   * <new-preinst> ‘upgrade’ <old-version>
+#   * <old-preinst> ‘abort-upgrade’ <new-version>
+# For details, see the Debian Policy §6.5 in the ‘debian-policy’ package
+# or on the web at <URL:http://www.debian.org/doc/debian-policy/>.
+
 SCOREFILES="
 	/var/games/bsdgames/atc_score
 	/var/games/bsdgames/battlestar.log
diff --git a/debian/prerm b/debian/prerm
new file mode 100644
index 0000000..f18f168
--- /dev/null
+++ b/debian/prerm
@@ -0,0 +1,24 @@
+#! /bin/sh
+# Pre-remove script for ‘bsdgames’ package.
+#
+# Man page: ‘dh_installdeb(1)’
+
+set -e
+
+# Summary of ways this script can be called:
+#   * <prerm> ‘remove’
+#   * <old-prerm> ‘upgrade’ <new-version>
+#   * <new-prerm> ‘failed-upgrade’ <old-version>
+#   * <conflictor-prerm> ‘remove’
+#     ‘in-favour’ <package> <new-version>
+#   * <deconfigured-prerm> ‘deconfigure’
+#     ‘in-favour’ <package-being-installed> <version>
+#     ‘removing’ <conflicting-package> <version>
+# For details, see <URL:http://www.debian.org/doc/debian-policy/> or
+# the ‘debian-policy’ package.
+
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-games/bsdgames.git



More information about the Pkg-games-commits mailing list